---
title: Symbol.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/Symbol/valueOf
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - Symbol
---
<div>{{JSRef}}</div>

<p>The <strong><code>valueOf()</code></strong> method returns the primitive value of a Symbol object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Symbol().valueOf()
</pre>

<h3 id="Return_value">Return value</h3>

<p>The primitive value of the specified {{jsxref("Symbol")}} object.</p>

<h2 id="Description">Description</h2>

<p>The <code>valueOf()</code> method of {{jsxref("Symbol")}} returns the primitive value of a Symbol object as a Symbol data type.</p>

<p>JavaScript calls the <code>valueOf()</code> method to convert an object to a primitive value. You rarely need to invoke the <code>valueOf()</code> method yourself; JavaScript automatically invokes it when encountering an object where a primitive value is expected.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using valueOf()</h3>

<pre class="brush: js notranslate">const sym = Symbol("example");
sym === sym.valueOf(); // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-symbol.prototype.valueof', 'Symbol.prototype.valueOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.valueOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.valueOf()")}}</li>
</ul>
